/**
 * [BrowserUtils 浏览器工具类]
 * @type {Object}
 */
const BrowserUtils = {};

/**
 * 设置页面标题
 * @param {string} title - 标题
 */
BrowserUtils.setPageTitle = (title) => {
  // 解决ios上不能设置title的问题
  setTimeout(function() {
    // 利用iframe的onload事件刷新页面
    document.title = title;
    var iframe = document.createElement('iframe');
    iframe.src = '/favicon.ico'; // 必须
    iframe.style.visibility = 'hidden';
    iframe.style.width = '1px';
    iframe.style.height = '1px';
    iframe.onload = function() {
      setTimeout(function() {
        document.body.removeChild(iframe);
      }, 0);
    };
    document.body.appendChild(iframe);
  }, 0);
}

export default BrowserUtils;
