/** 数据处理工具类 多用于扩展返回的数据 **/
const DataUtils = {};

/**
 * extend 用于扩展数据，添加_index,_disabled,_checked,_highlight
 * @param {Array} ds - 数据源
 * @param {Array} extend - 扩展字段,仅用于boolean型
 * @return {Array}
 */
DataUtils.extend = (ds, extend = []) => {
  let data = [];
  let defaultKeys = ['_disabled', '_checked', '_highlight'];
  let extKeys = defaultKeys.concat(extend);
  ds.forEach((row, index) => {
    const newRow = row;
    newRow._index = index;
    extKeys.forEach((k) => {
      newRow[k] = newRow[k] || false;
    });
    data[index] = newRow;
  });
  return data;
}

export default DataUtils;
