const MatcherUtils = {};

/**
 * 验证是否是手机号码
 * @param {string} mobile - 手机号码
 * @returns {boolean}
 */
MatcherUtils.isMobile = (mobile) => {
  const pattern = /^(13[0-9]|14[5|7]|17[0-9]|15[0|1|2|3|5|6|7|8|9]|18[0|1|2|3|5|6|7|8|9])\d{8}$/;
  return pattern.test(mobile);
};

/**
 * 验证是否是身份证
 * @param {string} idCard - 身份证
 * @returns {boolean}
 */
MatcherUtils.isIdCard = (idCard) => {
  const pattern = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
  return pattern.test(idCard);
};

export default MatcherUtils;
